## h2o 2.2.5+dfsg1

=== debian/control ===
Source: h2o
Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Section: httpd
Priority: optional
Build-Depends: bison,
               cmake,
               curl,
               debhelper (>= 11~),
               libio-socket-ssl-perl,
               libjson-perl,
               libpath-tiny-perl,
               libscope-guard-perl,
               libssl-dev,
               libtest-exception-perl,
               libuv1-dev,
               libwslay-dev,
               libyaml-dev,
               netcat-openbsd,
               nghttp2-client,
               pkg-config,
               ruby-dev,
               ruby,
               starlet,
               wget,
               zlib1g-dev
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/debian/h2o
Vcs-Git: https://salsa.debian.org/debian/h2o.git
Homepage: https://h2o.examp1e.net

Package: h2o
Architecture: any
Depends: adduser,
         apache2-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Description: optimized HTTP/1.x, HTTP/2 server
 H2O is a new generation HTTP server that provides quicker response to users
 with less CPU utilization when compared to older web servers.  Designed from
 ground-up, the server takes full advantage of HTTP/2 features including
 prioritized content serving and server push.

Package: libh2o0.13
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: H2O library compiled with libuv
 H2O is a new generation HTTP server that provides quicker response to users
 with less CPU utilization when compared to older generation of web servers.
 Designed from ground-up, the server takes full advantage of HTTP/2 features
 including prioritized content serving and server push, promising outstanding
 experience to the visitors of your web site.
 .
 This package provides the H2O library compiled with libuv which allows you to
 link your own software to H2O

Package: libh2o-evloop0.13
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: H2O library compiled with its own event loop
 H2O is a new generation HTTP server that provides quicker response to users
 with less CPU utilization when compared to older generation of web servers.
 Designed from ground-up, the server takes full advantage of HTTP/2 features
 including prioritized content serving and server push, promising outstanding
 experience to the visitors of your web site.
 .
 This package provides the H2O library compiled with its own event loop which
 allows you to link your own software to H2O

Package: libh2o-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libh2o0.13 (= ${binary:Version}),
         libh2o-dev-common (= ${source:Version})
Description: dev helpers of the H2O library compiled with libuv
 H2O is a new generation HTTP server that provides quicker response to users
 with less CPU utilization when compared to older generation of web servers.
 Designed from ground-up, the server takes full advantage of HTTP/2 features
 including prioritized content serving and server push, promising outstanding
 experience to the visitors of your web site.
 .
 This package provides the development helpers of the H2O library compiled with
 libuv.

Package: libh2o-evloop-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libh2o-evloop0.13 (= ${binary:Version}),
         libh2o-dev-common (= ${source:Version})
Description: dev helpers of the H2O library compiled with its own event loop
 H2O is a new generation HTTP server that provides quicker response to users
 with less CPU utilization when compared to older generation of web servers.
 Designed from ground-up, the server takes full advantage of HTTP/2 features
 including prioritized content serving and server push, promising outstanding
 experience to the visitors of your web site.
 .
 This package provides the development helpers of the H2O library compiled with
 its own event loop.

Package: libh2o-dev-common
Architecture: all
Section: libdevel
Depends: ${misc:Depends},
         libh2o0.13 (>= ${source:Version}) | libh2o-evloop0.13 (>= ${source:Version})
Description: H2O library headers
 H2O is a new generation HTTP server that provides quicker response to users
 with less CPU utilization when compared to older generation of web servers.
 Designed from ground-up, the server takes full advantage of HTTP/2 features
 including prioritized content serving and server push, promising outstanding
 experience to the visitors of your web site.
 .
 This package provides the H2O library headers needed by developers.

Package: h2o-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-jquery
Description: optimized HTTP/1.x, HTTP/2 server - documentation
 H2O is a new generation HTTP server that provides quicker response to users
 with less CPU utilization when compared to older web servers.  Designed from
 ground-up, the server takes full advantage of HTTP/2 features including
 prioritized content serving and server push.
 .
 This package contains the server documentation.

=== debian/rules ===
#!/usr/bin/make -f

# Enable all hardening flags
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PERL5LIB=$(CURDIR)

# Disable the following tests as they require network access
BAD_TESTS=10http1client 50reverse-proxy-added-headers 50reverse-proxy-drop-headers 50reverse-proxy-https 80invalid-h2-chars-in-headers 40server-push 50mruby-acl 80issues595

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_SYSCONFDIR=/etc/h2o -DWITH_BUNDLED_SSL=off -DWITH_MRUBY=on -DBUILD_SHARED_LIBS=on

override_dh_auto_test:
	for test in $(BAD_TESTS); do mv $(CURDIR)/t/$$test.t $(CURDIR)/t/$$test.disabled; done
	dh_auto_test
	for test in $(BAD_TESTS); do mv $(CURDIR)/t/$$test.disabled $(CURDIR)/t/$$test.t; done

override_dh_installinit:
	# Do not do a full restart, just a graceful reload
	dh_installinit --no-restart-after-upgrade --no-stop-on-upgrade

override_dh_installdocs:
	dh_installdocs
	find $(CURDIR)/debian/h2o-doc/usr/share/ -type f -print0 | xargs --no-run-if-empty -0 sed -i 's/jquery-1\.9\.1/jquery/g'

override_dh_missing:
	dh_missing --fail-missing

## h2o 2.2.5+dfsg2

=== CMakeLists.txt ===
# Copyright (c) 2014,2015 DeNA Co., Ltd., Kazuho Oku, Brian Stanback, Laurentiu Nicola, Masanori Ogino, Ryosuke Matsumoto,
#                         David Carlier
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to
# deal in the Software without restriction, including without limitation the
# rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
# sell copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
# IN THE SOFTWARE.

CMAKE_MINIMUM_REQUIRED(VERSION 2.8.11)
CMAKE_POLICY(SET CMP0003 NEW)

PROJECT(h2o)

SET(VERSION_MAJOR "2")
SET(VERSION_MINOR "2")
SET(VERSION_PATCH "5")
SET(VERSION_PRERELEASE "")
SET(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${VERSION_PRERELEASE}")
SET(LIBRARY_VERSION_MAJOR "0")
SET(LIBRARY_VERSION_MINOR "13")
SET(LIBRARY_VERSION_PATCH "5")
SET(LIBRARY_VERSION "${LIBRARY_VERSION_MAJOR}.${LIBRARY_VERSION_MINOR}.${LIBRARY_VERSION_PATCH}${VERSION_PRERELEASE}")
SET(LIBRARY_SOVERSION "${LIBRARY_VERSION_MAJOR}.${LIBRARY_VERSION_MINOR}")

INCLUDE(GNUInstallDirs)

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/version.h.in ${CMAKE_CURRENT_SOURCE_DIR}/include/h2o/version.h)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/libh2o.pc.in ${CMAKE_CURRENT_BINARY_DIR}/libh2o.pc @ONLY)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/libh2o-evloop.pc.in ${CMAKE_CURRENT_BINARY_DIR}/libh2o-evloop.pc @ONLY)

SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

FIND_PACKAGE(PkgConfig)
FIND_PACKAGE(Threads REQUIRED)

FIND_PACKAGE(OpenSSL)
FIND_PACKAGE(ZLIB REQUIRED)

INCLUDE(CheckCSourceCompiles)
CHECK_C_SOURCE_COMPILES("
#include <stdint.h>
int main(void) {
uint64_t a;
__sync_add_and_fetch(&a, 1);
return 0;
}" ARCH_SUPPORTS_64BIT_ATOMICS)

SET(WITH_BUNDLED_SSL_DEFAULT "ON")
IF ((NOT UNIX) OR CYGWIN)
    SET(WITH_BUNDLED_SSL_DEFAULT "OFF")
ENDIF ((NOT UNIX) OR CYGWIN)
IF (OPENSSL_FOUND AND NOT (OPENSSL_VERSION VERSION_LESS "1.0.2"))
    SET(WITH_BUNDLED_SSL_DEFAULT "OFF")
ENDIF (OPENSSL_FOUND AND NOT (OPENSSL_VERSION VERSION_LESS "1.0.2"))
OPTION(WITH_BUNDLED_SSL "whether or not to use the bundled libressl" ${WITH_BUNDLED_SSL_DEFAULT})

OPTION(WITHOUT_LIBS "skip building libs even when possible" OFF)
OPTION(BUILD_SHARED_LIBS "whether to build a shared library" OFF)

FIND_PROGRAM(RUBY ruby)
FIND_PROGRAM(BISON bison)
IF (RUBY AND BISON)
    SET(WITH_MRUBY_DEFAULT "ON")
ELSE ()
    SET(WITH_MRUBY_DEFAULT "OFF")
ENDIF ()
OPTION(WITH_MRUBY "whether or not to build with mruby support" ${WITH_MRUBY_DEFAULT})

OPTION(WITH_PICOTLS "whether or not to build with picotls" "ON")

IF (WITH_BUNDLED_SSL)
    SET(BUNDLED_SSL_INCLUDE_DIR "${CMAKE_CURRENT_BINARY_DIR}/libressl-build/include")
    SET(BUNDLED_SSL_LIBRARIES "${CMAKE_CURRENT_BINARY_DIR}/libressl-build/lib/libssl.a" "${CMAKE_CURRENT_BINARY_DIR}/libressl-build/lib/libcrypto.a")
    ADD_CUSTOM_TARGET(bundled-ssl make -f ${CMAKE_CURRENT_SOURCE_DIR}/misc/libressl.mk SOURCE_DIR=${CMAKE_CURRENT_SOURCE_DIR}/misc
        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
ELSE (WITH_BUNDLED_SSL)
    IF (NOT OPENSSL_FOUND)
        IF ((NOT UNIX) OR CYGWIN)
            MESSAGE(FATAL_ERROR "OpenSSL not found (and the bundled libressl cannot be used on this platform)")
        ENDIF ((NOT UNIX) OR CYGWIN)
        MESSAGE(FATAL_ERROR "OpenSSL not found (nor H2O was configured to used the bundled libressl)")
    ENDIF (NOT OPENSSL_FOUND)
    IF (OPENSSL_VERSION VERSION_LESS "1.0.2")
        MESSAGE(WARNING "*********************************************************************** OpenSSL 1.0.2 is required for HTTP/2 interoperability with web browsers ***********************************************************************")
    ENDIF (OPENSSL_VERSION VERSION_LESS "1.0.2")
    IF(OPENSSL_VERSION VERSION_EQUAL "1.1.0" AND OPENSSL_VERSION STRLESS "1.1.0g")
        MESSAGE(WARNING "*********************************************************************** OpenSSL 1.1.0 ~ 1.1.0f would cause session resumption failed when using external cache ***********************************************************************")
    ENDIF(OPENSSL_VERSION VERSION_EQUAL "1.1.0" AND OPENSSL_VERSION STRLESS "1.1.0g")
ENDIF (WITH_BUNDLED_SSL)

INCLUDE_DIRECTORIES(
    include
    deps/cloexec
    deps/brotli/enc
    deps/golombset
    deps/libgkc
    deps/libyrmcds
    deps/klib
    deps/neverbleed
    deps/picohttpparser
    deps/picotest
    deps/yaml/include
    deps/yoml)

IF (PKG_CONFIG_FOUND)
    PKG_CHECK_MODULES(LIBUV libuv>=1.0.0)
    IF (LIBUV_FOUND)
        INCLUDE_DIRECTORIES(${LIBUV_INCLUDE_DIRS})
        LINK_DIRECTORIES(${LIBUV_LIBRARY_DIRS})
    ENDIF (LIBUV_FOUND)
ENDIF (PKG_CONFIG_FOUND)
IF (NOT LIBUV_FOUND)
    FIND_PACKAGE(LibUV)
    IF (LIBUV_FOUND AND LIBUV_VERSION VERSION_LESS "1.0.0")
        MESSAGE(STATUS "libuv found but ignored; is too old")
        UNSET(LIBUV_FOUND)
    ENDIF ()
    IF (LIBUV_FOUND)
        INCLUDE_DIRECTORIES(${LIBUV_INCLUDE_DIR})
    ENDIF (LIBUV_FOUND)
ENDIF (NOT LIBUV_FOUND)
IF (NOT LIBUV_FOUND)
    SET(LIBUV_LIBRARIES -luv)
ENDIF (NOT LIBUV_FOUND)
IF (DISABLE_LIBUV)
    MESSAGE(STATUS "ignoring found libuv because of DISABLE_LIBUV")
    SET(LIBUV_FOUND FALSE)
ENDIF(DISABLE_LIBUV)

IF (PKG_CONFIG_FOUND)
    PKG_CHECK_MODULES(WSLAY libwslay)
    IF (WSLAY_FOUND)
        INCLUDE_DIRECTORIES(${WSLAY_INCLUDE_DIRS})
        LINK_DIRECTORIES(${WSLAY_LIBRARY_DIRS})
    ENDIF (WSLAY_FOUND)
ENDIF (PKG_CONFIG_FOUND)
IF (NOT WSLAY_FOUND)
    FIND_PACKAGE(Wslay)
    IF (WSLAY_FOUND)
        INCLUDE_DIRECTORIES(${WSLAY_INCLUDE_DIR})
    ENDIF (WSLAY_FOUND)
ENDIF (NOT WSLAY_FOUND)
IF (NOT WSLAY_FOUND)
    SET(WSLAY_LIBRARIES -lwslay)
ENDIF (NOT WSLAY_FOUND)

IF (ZLIB_FOUND)
    INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIRS})
    LINK_DIRECTORIES(${ZLIB_LIBRARY_DIRS})
ENDIF (ZLIB_FOUND)

SET(CC_WARNING_FLAGS "-Wall -Wno-unused-value -Wno-unused-function")
IF ("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU")
    IF (NOT ("${CMAKE_C_COMPILER_VERSION}" VERSION_LESS "4.6"))
        SET(CC_WARNING_FLAGS "${CC_WARNING_FLAGS} -Wno-unused-but-set-variable")
    ENDIF ()
    IF (NOT ("${CMAKE_C_COMPILER_VERSION}" VERSION_LESS "4.5"))
        SET(CC_WARNING_FLAGS "${CC_WARNING_FLAGS} -Wno-unused-result")
    ENDIF ()
ENDIF ()

SET(CMAKE_C_FLAGS "-O2 -g ${CC_WARNING_FLAGS} ${CMAKE_C_FLAGS} -DH2O_ROOT=\"${CMAKE_INSTALL_PREFIX}\" -DH2O_CONFIG_PATH=\"${CMAKE_INSTALL_SYSCONFDIR}/h2o.conf\"")

SET(LIBYAML_SOURCE_FILES
    deps/yaml/src/api.c
    deps/yaml/src/dumper.c
    deps/yaml/src/emitter.c
    deps/yaml/src/loader.c
    deps/yaml/src/parser.c
    deps/yaml/src/reader.c
    deps/yaml/src/scanner.c
    deps/yaml/src/writer.c)

SET(BROTLI_SOURCE_FILES
    deps/brotli/enc/backward_references.cc
    deps/brotli/enc/block_splitter.cc
    deps/brotli/enc/brotli_bit_stream.cc
    deps/brotli/enc/compress_fragment.cc
    deps/brotli/enc/compress_fragment_two_pass.cc
    deps/brotli/enc/dictionary.cc
    deps/brotli/enc/encode.cc
    deps/brotli/enc/entropy_encode.cc
    deps/brotli/enc/histogram.cc
    deps/brotli/enc/literal_cost.cc
    deps/brotli/enc/metablock.cc
    deps/brotli/enc/static_dict.cc
    deps/brotli/enc/streams.cc
    deps/brotli/enc/utf8_util.cc
    lib/handler/compress/brotli.cc)

SET(PICOTLS_INCLUDE_DIRECTORIES
    deps/picotls/deps/cifra/src/ext
    deps/picotls/deps/cifra/src
    deps/picotls/deps/micro-ecc
    deps/picotls/include)

SET(PICOTLS_SOURCE_FILES
    deps/picotls/deps/micro-ecc/uECC.c
    deps/picotls/deps/cifra/src/aes.c
    deps/picotls/deps/cifra/src/blockwise.c
    deps/picotls/deps/cifra/src/chacha20.c
    deps/picotls/deps/cifra/src/chash.c
    deps/picotls/deps/cifra/src/curve25519.c
    deps/picotls/deps/cifra/src/drbg.c
    deps/picotls/deps/cifra/src/hmac.c
    deps/picotls/deps/cifra/src/gcm.c
    deps/picotls/deps/cifra/src/gf128.c
    deps/picotls/deps/cifra/src/modes.c
    deps/picotls/deps/cifra/src/poly1305.c
    deps/picotls/deps/cifra/src/sha256.c
    deps/picotls/deps/cifra/src/sha512.c
    deps/picotls/lib/picotls.c
    deps/picotls/lib/cifra.c
    deps/picotls/lib/uecc.c
    deps/picotls/lib/openssl.c)

SET(LIB_SOURCE_FILES
    deps/cloexec/cloexec.c
    deps/libgkc/gkc.c
    deps/libyrmcds/close.c
    deps/libyrmcds/connect.c
    deps/libyrmcds/recv.c
    deps/libyrmcds/send.c
    deps/libyrmcds/send_text.c
    deps/libyrmcds/socket.c
    deps/libyrmcds/strerror.c
    deps/libyrmcds/text_mode.c
    deps/picohttpparser/picohttpparser.c

    lib/common/cache.c
    lib/common/file.c
    lib/common/filecache.c
    lib/common/hostinfo.c
    lib/common/http1client.c
    lib/common/memcached.c
    lib/common/memory.c
    lib/common/multithread.c
    lib/common/serverutil.c
    lib/common/socket.c
    lib/common/socketpool.c
    lib/common/string.c
    lib/common/time.c
    lib/common/timeout.c
    lib/common/url.c

    lib/core/config.c
    lib/core/configurator.c
    lib/core/context.c
    lib/core/headers.c
    lib/core/logconf.c
    lib/core/proxy.c
    lib/core/request.c
    lib/core/token.c
    lib/core/util.c

    lib/handler/access_log.c
    lib/handler/chunked.c
    lib/handler/compress.c
    lib/handler/compress/gzip.c
    lib/handler/errordoc.c
    lib/handler/expires.c
    lib/handler/fastcgi.c
    lib/handler/file.c
    lib/handler/headers.c
    lib/handler/mimemap.c
    lib/handler/proxy.c
    lib/handler/redirect.c
    lib/handler/reproxy.c
    lib/handler/throttle_resp.c
    lib/handler/status.c
    lib/handler/headers_util.c
    lib/handler/status/events.c
    lib/handler/status/requests.c
    lib/handler/http2_debug_state.c
    lib/handler/status/durations.c
    lib/handler/configurator/access_log.c
    lib/handler/configurator/compress.c
    lib/handler/configurator/errordoc.c
    lib/handler/configurator/expires.c
    lib/handler/configurator/fastcgi.c
    lib/handler/configurator/file.c
    lib/handler/configurator/headers.c
    lib/handler/configurator/proxy.c
    lib/handler/configurator/redirect.c
    lib/handler/configurator/reproxy.c
    lib/handler/configurator/throttle_resp.c
    lib/handler/configurator/status.c
    lib/handler/configurator/http2_debug_state.c
    lib/handler/configurator/headers_util.c

    lib/http1.c

    lib/tunnel.c

    lib/http2/cache_digests.c
    lib/http2/casper.c
    lib/http2/connection.c
    lib/http2/frame.c
    lib/http2/hpack.c
    lib/http2/scheduler.c
    lib/http2/stream.c
    lib/http2/http2_debug_state.c)

SET(UNIT_TEST_SOURCE_FILES
    ${LIB_SOURCE_FILES}
    ${LIBYAML_SOURCE_FILES}
    ${BROTLI_SOURCE_FILES}
    deps/picotest/picotest.c
    t/00unit/test.c
    t/00unit/lib/common/cache.c
    t/00unit/lib/common/hostinfo.c
    t/00unit/lib/common/multithread.c
    t/00unit/lib/common/serverutil.c
    t/00unit/lib/common/socket.c
    t/00unit/lib/common/string.c
    t/00unit/lib/common/time.c
    t/00unit/lib/common/url.c
    t/00unit/lib/core/headers.c
    t/00unit/lib/core/proxy.c
    t/00unit/lib/core/util.c
    t/00unit/lib/handler/compress.c
    t/00unit/lib/handler/fastcgi.c
    t/00unit/lib/handler/file.c
    t/00unit/lib/handler/headers.c
    t/00unit/lib/handler/mimemap.c
    t/00unit/lib/handler/redirect.c
    t/00unit/lib/http2/cache_digests.c
    t/00unit/lib/http2/casper.c
    t/00unit/lib/http2/hpack.c
    t/00unit/lib/http2/scheduler.c

=== apps/CMakeLists.txt ===
add_subdirectory(openssl)
add_subdirectory(nc)

=== man/CMakeLists.txt ===
install(DIRECTORY .
    DESTINATION share/man/man3
    FILES_MATCHING PATTERN "*.3"
    )

install(DIRECTORY .
    DESTINATION share/man/man1
    FILES_MATCHING PATTERN "*.1"
    )

=== ssl/CMakeLists.txt ===
include_directories(
	.
	../include
	../include/compat
)

set(
	SSL_SRC
	bio_ssl.c
	bs_ber.c
	bs_cbb.c
	bs_cbs.c
	d1_both.c
	d1_clnt.c
	d1_enc.c
	d1_lib.c
	d1_meth.c
	d1_pkt.c
	d1_srtp.c
	d1_srvr.c
	pqueue.c
	s23_clnt.c
	s23_lib.c
	s23_pkt.c
	s23_srvr.c
	s3_both.c
	s3_cbc.c
	s3_clnt.c
	s3_lib.c
	s3_pkt.c
	s3_srvr.c
	ssl_algs.c
	ssl_asn1.c
	ssl_cert.c
	ssl_ciph.c
	ssl_err.c
	ssl_err2.c
	ssl_lib.c
	ssl_rsa.c
	ssl_sess.c
	ssl_stat.c
	ssl_txt.c
	t1_clnt.c
	t1_enc.c
	t1_lib.c
	t1_meth.c
	t1_reneg.c
	t1_srvr.c
)

if (BUILD_SHARED)
	add_library(ssl-objects OBJECT ${SSL_SRC})
	add_library(ssl STATIC $<TARGET_OBJECTS:ssl-objects>)
	add_library(ssl-shared SHARED $<TARGET_OBJECTS:ssl-objects>)
	if (MSVC)
		target_link_libraries(ssl-shared crypto-shared Ws2_32.lib)
	endif()
	set_target_properties(ssl-shared PROPERTIES OUTPUT_NAME ssl)
	set_target_properties(ssl-shared PROPERTIES VERSION ${SSL_VERSION}
		SOVERSION ${SSL_MAJOR_VERSION})
	install(TARGETS ssl ssl-shared DESTINATION lib)
else()
	add_library(ssl STATIC ${SSL_SRC})
	install(TARGETS ssl DESTINATION lib)
endif()

=== deps/libyrmcds/Makefile ===
# Makefile for libyrmcds

PREFIX = /usr/local

CC = gcc
CXX = g++ -std=gnu++11
CPPFLAGS = -D_GNU_SOURCE

# Uncomment the next line to remove the internal lock used to
# serialize sending commands.
#
#CPPFLAGS += -DLIBYRMCDS_NO_INTERNAL_LOCK

OPTFLAGS = -gdwarf-3 -O2
CFLAGS = -Wall -Wconversion $(OPTFLAGS)
CXXFLAGS = $(CFLAGS) -Wnon-virtual-dtor -Woverloaded-virtual
LDFLAGS = -L.
LDLIBS = -lyrmcds -lpthread

EXE = yc yc-cnt
LIB = libyrmcds.a
PACKAGES = build-essential subversion doxygen

CHEADERS = $(wildcard *.h)
CSOURCES = $(wildcard *.c)
COBJECTS = $(patsubst %.c,%.o,$(CSOURCES))
LIB_OBJECTS = $(filter-out yc.o yc-cnt.o,$(COBJECTS))
TEST_SOURCES = $(wildcard t/*.c)
TESTS = $(patsubst %.c,%,$(TEST_SOURCES))

all: lib $(EXE)
lib: $(LIB)

# LZ4 is optional.  Run "make lz4; make" to build LZ4 enabled library.
LZ4_TAG = r127
WGET = wget -q -P lz4/lib
lz4:
	mkdir -p lz4/lib
	$(WGET) https://raw.githubusercontent.com/Cyan4973/lz4/$(LZ4_TAG)/lib/lz4.c
	$(WGET) https://raw.githubusercontent.com/Cyan4973/lz4/$(LZ4_TAG)/lib/lz4.h

ifeq ($(wildcard lz4), lz4)
$(info LZ4 transparent compression is *enabled*)
CPPFLAGS += -DLIBYRMCDS_USE_LZ4
LZ4_CFLAGS = -std=c99 -O3
lz4/lib/lz4.o: lz4/lib/lz4.c
	$(CC) $(LZ4_CFLAGS) -Ilz4/lib -c -o $@ $<
LIB_OBJECTS += lz4/lib/lz4.o
endif

yc: yc.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LDLIBS)

yc-cnt: yc-cnt.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LDLIBS)

$(COBJECTS): $(CHEADERS)
$(EXE): $(LIB)

$(LIB): $(LIB_OBJECTS)
	$(AR) rcs $@ $^

t/%.exe: t/%.c $(LIB)
	$(CC) -I$(shell pwd) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LDLIBS)

$(TESTS): $(LIB)
	@$(MAKE) -s $@.exe
	@echo Running ./$@.exe
	@./$@.exe
	@echo

test: $(TESTS)

html:
	rm -rf html
	doxygen

serve: html
	@cd html; python -m SimpleHTTPServer 8888 || true

clean:
	rm -rf *.o t/*.exe html $(EXE) $(LIB)

setup:
	sudo apt-get install -y $(PACKAGES)

.PHONY: all lib test html serve clean setup

=== deps/brotli/tests/Makefile ===
#brotli/tests

include ../shared.mk

BROTLI = ..

all: test

test: deps
	./compatibility_test.sh
	./roundtrip_test.sh

deps :
	$(MAKE) -C $(BROTLI)/tools

clean :
	rm -f testdata/*.{bro,unbro,uncompressed}
	rm -f $(BROTLI)/{enc,dec,tools}/*.{un,}bro
	$(MAKE) -C $(BROTLI)/tools clean

=== deps/picotls/deps/cifra/extra_vecs/Makefile ===
CFLAGS += -std=gnu99 -O0 -g -Wall -Werror

all: run

openssl-hash: openssl-hash.c
	$(CC) $(CFLAGS) -o $@ $^ -lcrypto

run: openssl-hash
	./openssl-hash
	python python-hash.py

clean:
	rm -rf *.o openssl-hash

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Uploaders: Anton Gladky <gladk@debian.org>
 Section: httpd
 Priority: optional
+Rules-Requires-Root: no
 Build-Depends: bison,
                cmake,
                curl,
-               debhelper (>= 11~),
+               debhelper-compat (= 12),
                libio-socket-ssl-perl,
                libjson-perl,
                libpath-tiny-perl,
@@ -24,7 +25,7 @@
                starlet,
                wget,
                zlib1g-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/h2o
 Vcs-Git: https://salsa.debian.org/debian/h2o.git
 Homepage: https://h2o.examp1e.net
@@ -35,6 +36,7 @@
          apache2-utils,
          ${misc:Depends},
          ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: optimized HTTP/1.x, HTTP/2 server
  H2O is a new generation HTTP server that provides quicker response to users
  with less CPU utilization when compared to older web servers.  Designed from
@@ -109,6 +111,7 @@
 
 Package: libh2o-dev-common
 Architecture: all
+Multi-Arch: foreign
 Section: libdevel
 Depends: ${misc:Depends},
          libh2o0.13 (>= ${source:Version}) | libh2o-evloop0.13 (>= ${source:Version})

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export PERL5LIB=$(CURDIR)
 
 # Disable the following tests as they require network access
-BAD_TESTS=10http1client 50reverse-proxy-added-headers 50reverse-proxy-drop-headers 50reverse-proxy-https 80invalid-h2-chars-in-headers 40server-push 50mruby-acl 80issues595
+BAD_TESTS=10http1client 50access-log 50reverse-proxy-added-headers 50reverse-proxy-drop-headers 50reverse-proxy-https 50reverse-proxy-session-resumption 80invalid-h2-chars-in-headers 40server-push 50mruby-acl 80issues595 40max-connections 40session-ticket
 
 %:
 	dh $@
@@ -14,9 +14,11 @@
 	dh_auto_configure -- -DCMAKE_INSTALL_SYSCONFDIR=/etc/h2o -DWITH_BUNDLED_SSL=off -DWITH_MRUBY=on -DBUILD_SHARED_LIBS=on
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	for test in $(BAD_TESTS); do mv $(CURDIR)/t/$$test.t $(CURDIR)/t/$$test.disabled; done
 	dh_auto_test
 	for test in $(BAD_TESTS); do mv $(CURDIR)/t/$$test.disabled $(CURDIR)/t/$$test.t; done
+endif
 
 override_dh_installinit:
 	# Do not do a full restart, just a graceful reload

=== debian/tests/control ===
Tests: status libh2o-server libh2o-client
Depends: h2o, curl, jq, libh2o-dev, build-essential, libwslay-dev, libuv1-dev, libssl-dev
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=repacksuffix=+dfsg1,dversionmangle=s/\+dfsg\d*//,uversionmangle=s/-(alpha|beta|rc)/~$1/ \
 https://github.com/h2o/h2o/releases	.*/archive/v(.*)\.tar\.gz

## h2o 2.4.3.11

=== DESCRIPTION ===
Package: h2o
Type: Package
Title: H2O R Interface
Version: 2.4.3.11
Date: 2014-05-15
Author: Anqi Fu, Tom Kraljevic and Petr Maj, with contributions from the 0xdata team
Maintainer: Anqi Fu <anqi@0xdata.com>
Description: This is a package for running H2O via its REST API from within R.
License: Apache License (== 2.0)
Depends: R (>= 2.13.0), RCurl, rjson, statmod, tools, methods, utils
Collate: Wrapper.R Internal.R Classes.R ParseImport.R Algorithms.R
NeedsCompilation: no
SystemRequirements: Java (>= 1.6)
URL: http://www.0xdata.com
Packaged: 2014-06-17 00:51:43 UTC; jenkins
Repository: CRAN
Date/Publication: 2014-06-17 23:04:18

## h2o 2.8.1.1

=== DESCRIPTION ===
Package: h2o
Type: Package
Title: H2O R Interface
Version: 2.8.1.1
Date: 2014-05-15
Author: Anqi Fu, Spencer Aiello, Ariel Rao, Tom Kraljevic and Petr Maj,
        with contributions from the 0xdata team
Maintainer: Tom Kraljevic <tomk@0xdata.com>
Description: Run H2O via its REST API from within R.
License: Apache License (== 2.0)
Depends: R (>= 2.13.0), RCurl, rjson, statmod, survival, stats, tools,
        utils, methods
Collate: Wrapper.R Internal.R Classes.R ParseImport.R models.R
        Algorithms.R zzz.R
NeedsCompilation: no
SystemRequirements: Java (>= 1.6)
Suggests: plyr
URL: http://www.0xdata.com
Packaged: 2014-10-23 02:24:40 UTC; jenkins
Repository: CRAN
Date/Publication: 2014-10-27 18:11:24

## h2o 2.8.4.4

=== DESCRIPTION ===
Package: h2o
Type: Package
Title: H2O R Interface
Version: 2.8.4.4
Date: 2015-02-05
Author: Anqi Fu [aut], Spencer Aiello [aut], Ariel Rao [aut],
        Amy Wang [aut], Tom Kraljevic [aut], and Petr Maj [ctb]
        with contributions from the H2O team
Maintainer: Tom Kraljevic <tomk@0xdata.com>
Description: R scripting functionality for H2O, the open source
  math engine for big data that computes parallel distributed
  machine learning algorithms such as generalized linear models,
  gradient boosting machines, random forests, and neural networks
  (deep learning) within various cluster environments.
License: Apache License (== 2.0)
Depends: R (>= 2.13.0), statmod, survival, stats, graphics, utils,
        methods
Imports: RCurl, rjson, tools
Suggests: plyr
Collate: Wrapper.R Internal.R Classes.R ParseImport.R models.R
        Algorithms.R zzz.R
NeedsCompilation: no
SystemRequirements: Java (>= 1.6)
URL: http://www.h2o.ai
Packaged: 2015-02-07 21:41:22 UTC; jenkins
Repository: CRAN
Date/Publication: 2015-02-08 00:30:42

## h2o 3.0.0.22

=== DESCRIPTION ===
Package: h2o
Version: 3.0.0.22
Type: Package
Title: R Interface for H2O
Date: 2015-6-1
Author: Spencer Aiello, Tom Kraljevic and Petr Maj, with contributions from the
    0xdata team
Maintainer: Tom Kraljevic <tomk@0xdata.com>
Description: R scripting functionality for H2O, the open source
    math engine for big data that computes parallel distributed
    machine learning algorithms such as generalized linear models,
    gradient boosting machines, random forests, and neural networks
    (deep learning) within various cluster environments.
License: Apache License (== 2.0)
URL: http://www.h2o.ai
NeedsCompilation: no
SystemRequirements: Java (>= 1.7)
Depends: R (>= 2.13.0), methods, statmod, stats
Imports: graphics, RCurl, rjson, tools, utils
Suggests: devtools, roxygen2, testthat
Packaged: 2015-06-13 16:51:54 UTC; jenkins
Repository: CRAN
Date/Publication: 2015-06-14 08:32:53

## h2o 3.0.0.30

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: h2o
-Version: 3.0.0.22
+Version: 3.0.0.30
 Type: Package
 Title: R Interface for H2O
-Date: 2015-6-1
+Date: 2015-7-1
 Author: Spencer Aiello, Tom Kraljevic and Petr Maj, with contributions from the
     0xdata team
 Maintainer: Tom Kraljevic <tomk@0xdata.com>
@@ -18,6 +18,6 @@
 Depends: R (>= 2.13.0), methods, statmod, stats
 Imports: graphics, RCurl, rjson, tools, utils
 Suggests: devtools, roxygen2, testthat
-Packaged: 2015-06-13 16:51:54 UTC; jenkins
+Packaged: 2015-07-21 03:13:30 UTC; jenkins
 Repository: CRAN
-Date/Publication: 2015-06-14 08:32:53
+Date/Publication: 2015-07-22 05:29:32

## h2o 3.2.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Package: h2o
-Version: 3.0.0.30
+Version: 3.2.0.1
 Type: Package
 Title: R Interface for H2O
 Date: 2015-7-1
 Author: Spencer Aiello, Tom Kraljevic and Petr Maj, with contributions from the
-    0xdata team
+    H2O.ai team
 Maintainer: Tom Kraljevic <tomk@0xdata.com>
 Description: R scripting functionality for H2O, the open source
     math engine for big data that computes parallel distributed
@@ -16,8 +16,8 @@
 NeedsCompilation: no
 SystemRequirements: Java (>= 1.7)
 Depends: R (>= 2.13.0), methods, statmod, stats
-Imports: graphics, RCurl, rjson, tools, utils
+Imports: graphics, RCurl, jsonlite, tools, utils
 Suggests: devtools, roxygen2, testthat
-Packaged: 2015-07-21 03:13:30 UTC; jenkins
+Packaged: 2015-09-12 22:49:04 UTC; jenkins
 Repository: CRAN
-Date/Publication: 2015-07-22 05:29:32
+Date/Publication: 2015-09-15 01:08:11

## h2o 3.2.0.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: h2o
-Version: 3.2.0.1
+Version: 3.2.0.3
 Type: Package
 Title: R Interface for H2O
 Date: 2015-7-1
@@ -18,6 +18,6 @@
 Depends: R (>= 2.13.0), methods, statmod, stats
 Imports: graphics, RCurl, jsonlite, tools, utils
 Suggests: devtools, roxygen2, testthat
-Packaged: 2015-09-12 22:49:04 UTC; jenkins
+Packaged: 2015-09-22 01:19:50 UTC; jenkins
 Repository: CRAN
-Date/Publication: 2015-09-15 01:08:11
+Date/Publication: 2015-09-23 02:25:07

## h2o 3.6.0.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: h2o
-Version: 3.2.0.3
+Version: 3.6.0.8
 Type: Package
 Title: R Interface for H2O
-Date: 2015-7-1
+Date: 2015-11-18
 Author: Spencer Aiello, Tom Kraljevic and Petr Maj, with contributions from the
     H2O.ai team
 Maintainer: Tom Kraljevic <tomk@0xdata.com>
@@ -17,7 +17,7 @@
 SystemRequirements: Java (>= 1.7)
 Depends: R (>= 2.13.0), methods, statmod, stats
 Imports: graphics, RCurl, jsonlite, tools, utils
-Suggests: devtools, roxygen2, testthat
-Packaged: 2015-09-22 01:19:50 UTC; jenkins
+Suggests: devtools, roxygen2, testthat, ggplot2, mlbench
+Packaged: 2015-11-24 04:21:22 UTC; jenkins
 Repository: CRAN
-Date/Publication: 2015-09-23 02:25:07
+Date/Publication: 2015-11-24 15:03:56

## h2o 3.8.1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: h2o
-Version: 3.6.0.8
+Version: 3.8.1.3
 Type: Package
 Title: R Interface for H2O
-Date: 2015-11-18
+Date: 2016-03-11
 Author: Spencer Aiello, Tom Kraljevic and Petr Maj, with contributions from the
     H2O.ai team
 Maintainer: Tom Kraljevic <tomk@0xdata.com>
@@ -18,6 +18,6 @@
 Depends: R (>= 2.13.0), methods, statmod, stats
 Imports: graphics, RCurl, jsonlite, tools, utils
 Suggests: devtools, roxygen2, testthat, ggplot2, mlbench
-Packaged: 2015-11-24 04:21:22 UTC; jenkins
+Packaged: 2016-03-06 22:56:40 UTC; jenkins
 Repository: CRAN
-Date/Publication: 2015-11-24 15:03:56
+Date/Publication: 2016-03-15 06:32:50

## h2o 3.8.2.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: h2o
-Version: 3.8.1.3
+Version: 3.8.2.6
 Type: Package
 Title: R Interface for H2O
-Date: 2016-03-11
+Date: 2015-11-18
 Author: Spencer Aiello, Tom Kraljevic and Petr Maj, with contributions from the
     H2O.ai team
 Maintainer: Tom Kraljevic <tomk@0xdata.com>
@@ -18,6 +18,6 @@
 Depends: R (>= 2.13.0), methods, statmod, stats
 Imports: graphics, RCurl, jsonlite, tools, utils
 Suggests: devtools, roxygen2, testthat, ggplot2, mlbench
-Packaged: 2016-03-06 22:56:40 UTC; jenkins
+Packaged: 2016-05-24 17:58:09 UTC; jenkins
 Repository: CRAN
-Date/Publication: 2016-03-15 06:32:50
+Date/Publication: 2016-06-02 07:11:34

## h2o 3.8.3.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: h2o
-Version: 3.8.2.6
+Version: 3.8.3.3
 Type: Package
 Title: R Interface for H2O
-Date: 2015-11-18
+Date: 2016-07-12
 Author: Spencer Aiello, Tom Kraljevic and Petr Maj, with contributions from the
     H2O.ai team
 Maintainer: Tom Kraljevic <tomk@0xdata.com>
@@ -18,6 +18,6 @@
 Depends: R (>= 2.13.0), methods, statmod, stats
 Imports: graphics, RCurl, jsonlite, tools, utils
 Suggests: devtools, roxygen2, testthat, ggplot2, mlbench
-Packaged: 2016-05-24 17:58:09 UTC; jenkins
+Packaged: 2016-07-12 17:49:05 UTC; jenkins
 Repository: CRAN
-Date/Publication: 2016-06-02 07:11:34
+Date/Publication: 2016-07-13 10:19:23

## h2o 3.10.0.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: h2o
-Version: 3.8.3.3
+Version: 3.10.0.6
 Type: Package
 Title: R Interface for H2O
-Date: 2016-07-12
+Date: 2016-08-26
 Author: Spencer Aiello, Tom Kraljevic and Petr Maj, with contributions from the
     H2O.ai team
 Maintainer: Tom Kraljevic <tomk@0xdata.com>
@@ -18,6 +18,6 @@
 Depends: R (>= 2.13.0), methods, statmod, stats
 Imports: graphics, RCurl, jsonlite, tools, utils
 Suggests: devtools, roxygen2, testthat, ggplot2, mlbench
-Packaged: 2016-07-12 17:49:05 UTC; jenkins
+Packaged: 2016-08-26 18:17:46 UTC; jenkins
 Repository: CRAN
-Date/Publication: 2016-07-13 10:19:23
+Date/Publication: 2016-09-03 10:01:03

## h2o 3.10.0.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: h2o
-Version: 3.10.0.6
+Version: 3.10.0.8
 Type: Package
 Title: R Interface for H2O
-Date: 2016-08-26
+Date: 2016-10-10
 Author: Spencer Aiello, Tom Kraljevic and Petr Maj, with contributions from the
     H2O.ai team
 Maintainer: Tom Kraljevic <tomk@0xdata.com>
@@ -18,6 +18,6 @@
 Depends: R (>= 2.13.0), methods, statmod, stats
 Imports: graphics, RCurl, jsonlite, tools, utils
 Suggests: devtools, roxygen2, testthat, ggplot2, mlbench
-Packaged: 2016-08-26 18:17:46 UTC; jenkins
+Packaged: 2016-10-10 20:48:07 UTC; jenkins
 Repository: CRAN
-Date/Publication: 2016-09-03 10:01:03
+Date/Publication: 2016-10-14 08:16:13

## h2o 3.10.2.2

=== DESCRIPTION ===
Package: h2o
Version: 3.10.2.2
Type: Package
Title: R Interface for H2O
Date: 2017-01-12
Author: The H2O.ai team
Maintainer: Tom Kraljevic <tomk@0xdata.com>
Description: R scripting functionality for H2O, the open source
    math engine for big data that computes parallel distributed
    machine learning algorithms such as generalized linear models,
    gradient boosting machines, random forests, and neural networks
    (deep learning) within various cluster environments.
License: Apache License (== 2.0)
URL: https://github.com/h2oai/h2o-3
BugReports: http://jira.h2o.ai
NeedsCompilation: no
SystemRequirements: Java (>= 1.7)
Depends: R (>= 2.13.0), methods, stats
Imports: graphics, tools, utils, RCurl, jsonlite
Suggests: ggplot2, mlbench, Matrix, data.table (>= 1.9.8)
Packaged: 2017-01-13 02:51:00 UTC; jenkins
Repository: CRAN
Date/Publication: 2017-01-18 00:47:42

## h2o 3.10.3.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: h2o
-Version: 3.10.2.2
+Version: 3.10.3.3
 Type: Package
 Title: R Interface for H2O
-Date: 2017-01-12
+Date: 2017-02-02
 Author: The H2O.ai team
 Maintainer: Tom Kraljevic <tomk@0xdata.com>
 Description: R scripting functionality for H2O, the open source
@@ -18,6 +18,6 @@
 Depends: R (>= 2.13.0), methods, stats
 Imports: graphics, tools, utils, RCurl, jsonlite
 Suggests: ggplot2, mlbench, Matrix, data.table (>= 1.9.8)
-Packaged: 2017-01-13 02:51:00 UTC; jenkins
+Packaged: 2017-02-02 20:57:57 UTC; jenkins
 Repository: CRAN
-Date/Publication: 2017-01-18 00:47:42
+Date/Publication: 2017-02-03 14:33:06

## h2o 3.10.3.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: h2o
-Version: 3.10.3.3
+Version: 3.10.3.6
 Type: Package
 Title: R Interface for H2O
-Date: 2017-02-02
+Date: 2017-02-21
 Author: The H2O.ai team
 Maintainer: Tom Kraljevic <tomk@0xdata.com>
 Description: R scripting functionality for H2O, the open source
@@ -18,6 +18,6 @@
 Depends: R (>= 2.13.0), methods, stats
 Imports: graphics, tools, utils, RCurl, jsonlite
 Suggests: ggplot2, mlbench, Matrix, data.table (>= 1.9.8)
-Packaged: 2017-02-02 20:57:57 UTC; jenkins
+Packaged: 2017-02-22 00:47:36 UTC; jenkins
 Repository: CRAN
-Date/Publication: 2017-02-03 14:33:06
+Date/Publication: 2017-02-22 08:42:25

## h2o 3.10.4.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: h2o
-Version: 3.10.3.6
+Version: 3.10.4.4
 Type: Package
 Title: R Interface for H2O
-Date: 2017-02-21
+Date: 2017-04-15
 Author: The H2O.ai team
 Maintainer: Tom Kraljevic <tomk@0xdata.com>
 Description: R scripting functionality for H2O, the open source
@@ -18,6 +18,6 @@
 Depends: R (>= 2.13.0), methods, stats
 Imports: graphics, tools, utils, RCurl, jsonlite
 Suggests: ggplot2, mlbench, Matrix, data.table (>= 1.9.8)
-Packaged: 2017-02-22 00:47:36 UTC; jenkins
+Packaged: 2017-04-15 15:01:20 UTC; jenkins
 Repository: CRAN
-Date/Publication: 2017-02-22 08:42:25
+Date/Publication: 2017-04-17 18:29:10 UTC

## h2o 3.10.4.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: h2o
-Version: 3.10.4.4
+Version: 3.10.4.6
 Type: Package
 Title: R Interface for H2O
-Date: 2017-04-15
+Date: 2017-04-26
 Author: The H2O.ai team
 Maintainer: Tom Kraljevic <tomk@0xdata.com>
 Description: R scripting functionality for H2O, the open source
@@ -18,6 +18,6 @@
 Depends: R (>= 2.13.0), methods, stats
 Imports: graphics, tools, utils, RCurl, jsonlite
 Suggests: ggplot2, mlbench, Matrix, data.table (>= 1.9.8)
-Packaged: 2017-04-15 15:01:20 UTC; jenkins
+Packaged: 2017-04-27 05:14:09 UTC; jenkins
 Repository: CRAN
-Date/Publication: 2017-04-17 18:29:10 UTC
+Date/Publication: 2017-05-02 06:46:06 UTC

## h2o 3.10.5.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: h2o
-Version: 3.10.4.6
+Version: 3.10.5.2
 Type: Package
 Title: R Interface for H2O
-Date: 2017-04-26
+Date: 2017-06-19
 Author: The H2O.ai team
 Maintainer: Tom Kraljevic <tomk@0xdata.com>
 Description: R scripting functionality for H2O, the open source
@@ -18,6 +18,6 @@
 Depends: R (>= 2.13.0), methods, stats
 Imports: graphics, tools, utils, RCurl, jsonlite
 Suggests: ggplot2, mlbench, Matrix, data.table (>= 1.9.8)
-Packaged: 2017-04-27 05:14:09 UTC; jenkins
+Packaged: 2017-06-20 01:01:04 UTC; jenkins
 Repository: CRAN
-Date/Publication: 2017-05-02 06:46:06 UTC
+Date/Publication: 2017-06-23 10:31:53 UTC

## h2o 3.10.5.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: h2o
-Version: 3.10.5.2
+Version: 3.10.5.3
 Type: Package
 Title: R Interface for H2O
-Date: 2017-06-19
+Date: 2017-06-30
 Author: The H2O.ai team
 Maintainer: Tom Kraljevic <tomk@0xdata.com>
 Description: R scripting functionality for H2O, the open source
@@ -18,6 +18,6 @@
 Depends: R (>= 2.13.0), methods, stats
 Imports: graphics, tools, utils, RCurl, jsonlite
 Suggests: ggplot2, mlbench, Matrix, data.table (>= 1.9.8)
-Packaged: 2017-06-20 01:01:04 UTC; jenkins
+Packaged: 2017-06-30 23:15:29 UTC; jenkins
 Repository: CRAN
-Date/Publication: 2017-06-23 10:31:53 UTC
+Date/Publication: 2017-07-01 07:53:41 UTC

## h2o 3.14.0.3

=== DESCRIPTION ===
Package: h2o
Version: 3.14.0.3
Type: Package
Title: R Interface for H2O
Date: 2017-09-22
Author: The H2O.ai team
Maintainer: Tom Kraljevic <tomk@0xdata.com>
Description: R scripting functionality for H2O, the open source
  math engine for big data that computes parallel distributed
  machine learning algorithms such as generalized linear models,
  gradient boosting machines, random forests, and neural networks
  (deep learning) within various cluster environments.
License: Apache License (== 2.0)
URL: https://github.com/h2oai/h2o-3
BugReports: http://jira.h2o.ai
NeedsCompilation: no
SystemRequirements: Java (>= 1.7)
Depends: R (>= 2.13.0), methods, stats
Imports: graphics, tools, utils, RCurl, jsonlite
Suggests: ggplot2, mlbench, Matrix, slam, bit64 (>= 0.9.7), data.table
        (>= 1.9.8)
Collate: 'astfun.R' 'automl.R' 'classes.R' 'config.R' 'connection.R'
        'constants.R' 'datasets.R' 'logging.R' 'communication.R'
        'kvstore.R' 'frame.R' 'import.R' 'parse.R' 'export.R'
        'edicts.R' 'models.R' 'kmeans.R' 'gbm.R' 'glm.R' 'glrm.R'
        'pca.R' 'svd.R' 'deeplearning.R' 'stackedensemble.R'
        'deepwater.R' 'xgboost.R' 'randomforest.R' 'naivebayes.R'
        'word2vec.R' 'w2vutils.R' 'locate.R' 'grid.R' 'predict.R'
        'zzz.R'
Packaged: 2017-09-22 21:40:11 UTC; jenkins
Repository: CRAN
Date/Publication: 2017-09-27 08:29:42 UTC

## h2o 3.16.0.1

=== DESCRIPTION ===
Package: h2o
Version: 3.16.0.1
Type: Package
Title: R Interface for H2O
Date: 2017-11-24
Author: The H2O.ai team
Maintainer: Tom Kraljevic <tomk@0xdata.com>
Description: R scripting functionality for H2O, the open source
  math engine for big data that computes parallel distributed
  machine learning algorithms such as generalized linear models,
  gradient boosting machines, random forests, and neural networks
  (deep learning) within various cluster environments.
License: Apache License (== 2.0)
URL: https://github.com/h2oai/h2o-3
BugReports: http://jira.h2o.ai
NeedsCompilation: no
SystemRequirements: Java (>= 1.7)
Depends: R (>= 2.13.0), methods, stats
Imports: graphics, tools, utils, RCurl, jsonlite
Suggests: ggplot2, mlbench, Matrix, slam, bit64 (>= 0.9.7), data.table
        (>= 1.9.8)
Collate: 'aggregator.R' 'astfun.R' 'automl.R' 'classes.R' 'config.R'
        'connection.R' 'constants.R' 'datasets.R' 'logging.R'
        'communication.R' 'kvstore.R' 'frame.R' 'import.R' 'parse.R'
        'export.R' 'edicts.R' 'models.R' 'kmeans.R' 'gbm.R' 'glm.R'
        'glrm.R' 'pca.R' 'svd.R' 'deeplearning.R' 'stackedensemble.R'
        'deepwater.R' 'xgboost.R' 'randomforest.R' 'naivebayes.R'
        'word2vec.R' 'w2vutils.R' 'locate.R' 'grid.R' 'predict.R'
        'zzz.R'
Packaged: 2017-11-24 19:48:58 UTC; jenkins
Repository: CRAN
Date/Publication: 2017-11-28 00:16:23 UTC

## h2o 3.16.0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: h2o
-Version: 3.16.0.1
+Version: 3.16.0.2
 Type: Package
 Title: R Interface for H2O
-Date: 2017-11-24
+Date: 2017-11-30
 Author: The H2O.ai team
 Maintainer: Tom Kraljevic <tomk@0xdata.com>
 Description: R scripting functionality for H2O, the open source
@@ -27,6 +27,6 @@
         'deepwater.R' 'xgboost.R' 'randomforest.R' 'naivebayes.R'
         'word2vec.R' 'w2vutils.R' 'locate.R' 'grid.R' 'predict.R'
         'zzz.R'
-Packaged: 2017-11-24 19:48:58 UTC; jenkins
+Packaged: 2017-12-01 02:13:26 UTC; jenkins
 Repository: CRAN
-Date/Publication: 2017-11-28 00:16:23 UTC
+Date/Publication: 2017-12-01 23:16:06 UTC

## h2o 3.18.0.8

=== DESCRIPTION ===
Package: h2o
Version: 3.18.0.8
Type: Package
Title: R Interface for 'H2O'
Date: 2018-05-01
Authors@R: c(
    person(given = "Tom", family = "Kraljevic", role = c("aut", "cre"), email = "tomk@0xdata.com"),
    person(given = "H2O.ai", role = c("cph"))
    )
Description: R scripting functionality for 'H2O', the open source
  math engine for big data that computes parallel distributed
  machine learning algorithms such as generalized linear models,
  gradient boosting machines, random forests, and neural networks
  (deep learning) within various cluster environments.
License: Apache License (== 2.0)
URL: https://github.com/h2oai/h2o-3
BugReports: http://jira.h2o.ai
NeedsCompilation: no
SystemRequirements: Java (>= 7)
Depends: R (>= 2.13.0), methods, stats
Imports: graphics, tools, utils, RCurl, jsonlite
Suggests: ggplot2, mlbench, Matrix, slam, bit64 (>= 0.9.7), data.table
        (>= 1.9.8), survival
Collate: 'aggregator.R' 'astfun.R' 'automl.R' 'classes.R' 'config.R'
        'connection.R' 'constants.R' 'datasets.R' 'logging.R'
        'communication.R' 'kvstore.R' 'frame.R' 'import.R' 'parse.R'
        'export.R' 'edicts.R' 'models.R' 'coxph.R' 'coxphutils.R'
        'kmeans.R' 'gbm.R' 'glm.R' 'glrm.R' 'pca.R' 'svd.R'
        'deeplearning.R' 'stackedensemble.R' 'deepwater.R' 'xgboost.R'
        'randomforest.R' 'naivebayes.R' 'word2vec.R' 'w2vutils.R'
        'locate.R' 'grid.R' 'predict.R' 'zzz.R'
Packaged: 2018-05-01 22:13:58 UTC; mkurka
Author: Tom Kraljevic [aut, cre],
  H2O.ai [cph]
Maintainer: Tom Kraljevic <tomk@0xdata.com>
Repository: CRAN
Date/Publication: 2018-05-02 07:58:06 UTC

## h2o 3.18.0.11

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: h2o
-Version: 3.18.0.8
+Version: 3.18.0.11
 Type: Package
 Title: R Interface for 'H2O'
-Date: 2018-05-01
+Date: 2018-05-24
 Authors@R: c(
     person(given = "Tom", family = "Kraljevic", role = c("aut", "cre"), email = "tomk@0xdata.com"),
     person(given = "H2O.ai", role = c("cph"))
@@ -29,9 +29,10 @@
         'deeplearning.R' 'stackedensemble.R' 'deepwater.R' 'xgboost.R'
         'randomforest.R' 'naivebayes.R' 'word2vec.R' 'w2vutils.R'
         'locate.R' 'grid.R' 'predict.R' 'zzz.R'
-Packaged: 2018-05-01 22:13:58 UTC; mkurka
+RoxygenNote: 6.0.1
+Packaged: 2018-05-24 08:44:22 UTC; jenkins
 Author: Tom Kraljevic [aut, cre],
   H2O.ai [cph]
 Maintainer: Tom Kraljevic <tomk@0xdata.com>
 Repository: CRAN
-Date/Publication: 2018-05-02 07:58:06 UTC
+Date/Publication: 2018-05-24 21:48:52 UTC
